Page MenuHomePhabricator

WikiPage::insertProtectNullRevision returns Revision objects
Closed, ResolvedPublic

Description

WikiPage::insertProtectNullRevision can return Revision objects

It also includes a fallback to $wgUser (the fallback is hard deprecated though)

It should be replaced with a new method that can return RevisionRecord objects, and has no such fallback to $wgUser. I proposed WikiPage::insertNullProtectionRevision

Uses:

  • Core
  • Translate (deployed)
  • ArticleFeedbackv5 (not deployed)

Event Timeline

DannyS712 triaged this task as Medium priority.Apr 15 2020, 5:41 AM
DannyS712 created this task.
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Change 588836 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add WikiPage::insertNullProtectionRevision

https://gerrit.wikimedia.org/r/588836

Change 589138 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Translate@master] Use WikiPage::insertNullProtectionRevision when available

https://gerrit.wikimedia.org/r/589138

Change 588836 merged by jenkins-bot:
[mediawiki/core@master] Add WikiPage::insertNullProtectionRevision

https://gerrit.wikimedia.org/r/588836

Change 589138 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use WikiPage::insertNullProtectionRevision when available

https://gerrit.wikimedia.org/r/589138

DannyS712 updated the task description. (Show Details)Apr 16 2020, 2:41 PM

Change 589824 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate WikiPage::insertProtectNullRevision

https://gerrit.wikimedia.org/r/589824

Change 589826 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/ArticleFeedbackv5@master] Use WikiPage::insertNullProtectionRevision

https://gerrit.wikimedia.org/r/589826

Change 589826 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/ArticleFeedbackv5@master] Use WikiPage::insertNullProtectionRevision

https://gerrit.wikimedia.org/r/589826

Simple replacement, but not deployed so doesn't need to be merged for hard deprecation to occur

Change 589824 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate WikiPage::insertProtectNullRevision

https://gerrit.wikimedia.org/r/589824

DannyS712 updated the task description. (Show Details)Apr 19 2020, 1:31 AM

Change 589826 merged by jenkins-bot:
[mediawiki/extensions/ArticleFeedbackv5@master] Use WikiPage::insertNullProtectionRevision

https://gerrit.wikimedia.org/r/589826

DannyS712 closed this task as Resolved.Apr 19 2020, 1:52 AM
DannyS712 removed a project: Patch-For-Review.
DannyS712 updated the task description. (Show Details)